com.verisign.epp.codec.persreg

## Class EPPPersRegGenData

- java.lang.Object
- - com.verisign.epp.codec.persreg.EPPPersRegGenData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    EPPPersRegCreateData, EPPPersRegRenewData, EPPPersRegTransferData

      public abstract class EPPPersRegGenData
      extends java.lang.Object
      implements EPPCodecComponent

  Personal Registration <genDataType> complexType, which is reused by:
  - <creData> - `EPPPersRegCreateData`
  - <renData> - `EPPPersRegRenewData`
  - <trnData> - `EPPPersRegTransferData`
  Version:
    $Revision: 1.1.1.1 $
  Author:
    $Author: jim $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPPersRegGenData()` Default constructor.
    `EPPPersRegGenData(boolean aIsBundledRate)` Constructor that sets the bundled flag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPPersGenData` with this instance.
    `protected abstract java.lang.String` | `getRootElm()` Gets the root element name to use.
    `boolean` | `isBundledRate()` Does the bundled rate apply?
    `void` | `setIsBundedRate(boolean aIsBundledRate)` Sets the bundled rate flag.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.verisign.epp.codec.gen.EPPCodecComponent

      `getNamespace`

- - ### Constructor Detail

    - #### EPPPersRegGenData

          public EPPPersRegGenData()

      Default constructor. Bundled flag defaults to `false`.

    - #### EPPPersRegGenData

          public EPPPersRegGenData(boolean aIsBundledRate)

      Constructor that sets the bundled flag.
      Parameters:
        `aIsBundledRate` - Does the bundled rate apply?

  - ### Method Detail

    - #### isBundledRate

          public boolean isBundledRate()

      Does the bundled rate apply?
      Returns:
        `true` if bundled rate applies; `false` otherwise.

    - #### setIsBundedRate

          public void setIsBundedRate(boolean aIsBundledRate)

      Sets the bundled rate flag.
      Parameters:
        `aIsBundledRate` - Does the bundled rate apply?

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPPersGenData` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPPersRegGenData`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPPersRegGenData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getRootElm

          protected abstract java.lang.String getRootElm()

      Gets the root element name to use. The derived classes must define what the root element name is.
      Returns:
        Root element name

Copyright © VeriSign Inc. All Rights Reserved.